Upstream information

CVE-2017-0381 at MITRE

Description

An information disclosure vulnerability in silk/NLSF_stabilize.c in libopus in Mediaserver could enable a local malicious application to access data outside of its permission levels. This issue is rated as Moderate because it could be used to access sensitive data without permission. Product: Android. Versions: 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1. Android ID: A-31607432.

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 9.33 6.82
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact Complete Partial
Integrity Impact Complete Partial
Availability Impact Complete Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.8
Vector AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High

This issue is currently rated as having important severity.

SUSE Bugzilla entry: 1020102 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • libopus0 >= 1.1-3.1
  • opus >= 1.1-3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-223
SUSE Linux Enterprise Desktop 12 SP2
  • libopus0 >= 1.1-3.1
  • opus >= 1.1-3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-223
SUSE Linux Enterprise Server 12 SP1
  • libopus0 >= 1.1-3.1
  • opus >= 1.1-3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-223
SUSE Linux Enterprise Server 12 SP2
  • libopus0 >= 1.1-3.1
  • opus >= 1.1-3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-223
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libopus0 >= 1.1-3.1
  • opus >= 1.1-3.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-223
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libopus-devel >= 1.1-3.1
  • libopus-devel-static >= 1.1-3.1
  • opus >= 1.1-3.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-223
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libopus-devel >= 1.1-3.1
  • libopus-devel-static >= 1.1-3.1
  • opus >= 1.1-3.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-223
openSUSE Leap 42.1
  • libopus-devel >= 1.1-5.1
  • libopus-devel-static >= 1.1-5.1
  • libopus0 >= 1.1-5.1
  • libopus0-32bit >= 1.1-5.1
  • libopus0-debuginfo >= 1.1-5.1
  • libopus0-debuginfo-32bit >= 1.1-5.1
  • opus >= 1.1-5.1
  • opus-debugsource >= 1.1-5.1
Patchnames:
openSUSE-2017-277
openSUSE Leap 42.2
  • libopus-devel >= 1.1-6.1
  • libopus-devel-static >= 1.1-6.1
  • libopus0 >= 1.1-6.1
  • libopus0-32bit >= 1.1-6.1
  • libopus0-debuginfo >= 1.1-6.1
  • libopus0-debuginfo-32bit >= 1.1-6.1
  • opus >= 1.1-6.1
  • opus-debugsource >= 1.1-6.1
Patchnames:
openSUSE-2017-277